Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003115TestLinkNew Featurepublic2010-01-29 00:192010-08-31 20:29
Reporterrobintessier 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 Beta 5 
Summary0003115: Make the TestlinkXMLRPCServer class extensible
DescriptionThe TestlinkXMLRPCServer class can be made extensible by splitting lib/api/xmlrpc.php into 2 files, one with the class definition and the other which loads the first file and creates the class instance. Then, make all private data and methods protected. Finally, add an optional array of methods to the constructor, which will add them to the default list of methods.

A subclass can then be created which loads the base class definition, defines an extra list of methods and passes this in an array to the base class constructor.

This is very useful to define custom methods without making any changes to the base class.

Refer to http://www.teamst.org/phpBB2/viewtopic.php?t=3019 [^] for details.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008871)
fman (administrator)
2010-01-29 21:20

1. thanks for reporting
2. please do not add link to forum, but upload your development here in zip, or tgz format
(0011196)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-01-29 00:19 robintessier New Issue
2010-01-29 21:20 fman Note Added: 0008871
2010-01-29 21:20 fman Status new => assigned
2010-01-29 21:20 fman Assigned To => fman
2010-05-20 18:16 fman Status assigned => resolved
2010-05-20 18:16 fman Fixed in Version => 1.9 Beta 5
2010-05-20 18:16 fman Resolution open => fixed
2010-08-31 20:29 fman Note Added: 0011196
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker